package come.stormborntales.notevault

import android.net.Uri
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import come.stormborntales.notevault.ui.screens.FullscreenImageViewer
import come.stormborntales.notevault.ui.theme.NoteVaultTheme

// FullscreenImageViewerActivity.kt
class FullscreenImageViewerActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val imageUris = intent.getParcelableArrayListExtra<Uri>("imageUris") ?: emptyList()

        setContent {
            NoteVaultTheme {
                FullscreenImageViewer(
                    images = imageUris,
                    onClose = { finish() }
                )
            }
        }
    }
}